---
- name: setup mongo users
  hosts: monitor
  gather_facts: no
  vars:
  tasks:
    - name: pip3 install pymongo
      become: true
      pip:
        name: pymongo
        executable: pip3
      run_once: true

    - name: create mongo users
      mongodb_user:
        login_host: "{{ mongo.host_ip | default(mongo.host) }}"
        login_port: "{{ mongo.port | default(omit) }}"
        login_user: "{{ mongo.user }}"
        login_password: "{{ mongo.pass }}"
        login_database: "{{ mongo.authSource | default('admin') }}"
        database: "{{ mongo.authSource | default('admin') }}"
        user: "{{ item.0.key }}"
        password: "{{ item.0.value.password }}"
        state: present
        roles: ["{{ item.1 }}"]
      with_subelements:
        - "{{ mongo_users|dict2items }}"
        - value.roles
      run_once: true
